/************************************************************************
*																		
* kume dizisinde elemanlar arasi isaret degisimini bulur				
* derlemek icin: gcc -o program_ismi 3.c								
*																		
************************************************************************/

#include <stdio.h>
#include <math.h>

int main()
{
    
    int i,n;
    printf("eleman sayisini giriniz\n");
    scanf("%d", &n);
    
    int kume[n];
    
    printf("%d sayi giriniz\n", n);
    
    for (i = 0; i<n; i++)
        scanf("%d", &kume[i]);
    
    for (i = 0; i < n - 1; i++)
		if ((kume[i] * kume[i+1]) < 0)
	   		printf("Isaret degisimi: dizi[%d] = %d\n", i, kume[i]) ;
    
    system("PAUSE");
    return 0; 
}

